Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 623595 - move iscsi/iser to passthrough mode, fix functioning and failover time under DM multipath
move iscsi/iser to passthrough mode, fix functioning and failover time under ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.6
All Linux
low Severity medium
: rc
: ---
Assigned To: Mike Christie
Storage QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-12 05:20 EDT by Or Gerlitz
Modified: 2011-02-25 05:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 16:09:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch which has the related fixes from upstream (60.79 KB, patch)
2010-08-12 05:20 EDT, Or Gerlitz
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 05:37:42 EST

  None (edit)
Description Or Gerlitz 2010-08-12 05:20:04 EDT
Created attachment 438383 [details]
patch which has the related fixes from upstream

Description of problem:

Remove some inefficiencies in the iser data path through
simplification and reducing the amount of code, using less atomic
operations, avoiding TX interrupts, moving to iscsi passthrough mode, etc.
As a result I was able to duplicate the amount of IOPS, upto about 300K
and to reduce the latency measured through iostat AWAIT report.
The upstream submission was done through a sequence of patches
and not as one big re-write, to ease with maintainance and tuning.

Fix bugs in the disconnection logic of iser which made the failover time with dm-multipathing to be too long, at least 120 seconds, wheres now it can get to be 30 seconds and below that. This part is the same as RHEL6 bugzilla 589174

Attached is the patch which addresses all that.
Comment 1 Or Gerlitz 2010-08-12 07:13:06 EDT
Forgot to mention that the patch was generated against / tested with kernel 2.6.18-211.el5
Comment 2 Mike Christie 2010-08-12 12:14:36 EDT
This seems fine to me.

It is upstream, Voltaire is doing testing, and they made the patch for us. Adding devel ack.

Thanks Or.
Comment 3 RHEL Product and Program Management 2010-08-12 12:19:17 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Jarod Wilson 2010-09-10 17:41:05 EDT
in kernel-2.6.18-219.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.
Comment 8 errata-xmlrpc 2011-01-13 16:09:41 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html

Note You need to log in before you can comment on or make changes to this bug.